# GDC Hardware Management API

- [REST Resource: v1alpha.projects.locations](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations)
- [REST Resource: v1alpha.projects.locations.hardware](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations.hardware)
- [REST Resource: v1alpha.projects.locations.operations](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations.operations)
- [REST Resource: v1alpha.projects.locations.orders](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations.orders)
- [REST Resource: v1alpha.projects.locations.orders.changeLogEntries](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations.orders.changeLogEntries)
- [REST Resource: v1alpha.projects.locations.orders.comments](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations.orders.comments)
- [REST Resource: v1alpha.projects.locations.orders.hardwareGroups](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations.orders.hardwareGroups)
- [REST Resource: v1alpha.projects.locations.sites](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations.sites)
- [REST Resource: v1alpha.projects.locations.skus](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations.skus)
- [REST Resource: v1alpha.projects.locations.zones](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest#v1alpha.projects.locations.zones)

## Service: gdchardwaremanagement.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://gdchardwaremanagement.googleapis.com/$discovery/rest?version=v1alpha>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://gdchardwaremanagement.googleapis.com`

## REST Resource: [v1alpha.projects.locations](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations/get` | `GET /v1alpha/{name=projects/*/locations/*}` Gets information about a location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations/list` | `GET /v1alpha/{name=projects/*}/locations` Lists information about the supported locations for this service. |

## REST Resource: [v1alpha.projects.locations.hardware](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.hardware)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/create` | `POST /v1alpha/{parent=projects/*/locations/*}/hardware` Creates new hardware in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/delete` | `DELETE /v1alpha/{name=projects/*/locations/*/hardware/*}` Deletes hardware. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/get` | `GET /v1alpha/{name=projects/*/locations/*/hardware/*}` Gets hardware details. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/list` | `GET /v1alpha/{parent=projects/*/locations/*}/hardware` Lists hardware in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/patch` | `PATCH /v1alpha/{hardware.name=projects/*/locations/*/hardware/*}` Updates hardware parameters. |

## REST Resource: [v1alpha.projects.locations.operations](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.operations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.operations/cancel` | `POST /v1alpha/{name=projects/*/locations/*/operations/*}:cancel` Starts asynchronous cancellation on a long-running operation. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.operations/delete` | `DELETE /v1alpha/{name=projects/*/locations/*/operations/*}` Deletes a long-running operation. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.operations/get` | `GET /v1alpha/{name=projects/*/locations/*/operations/*}` Gets the latest state of a long-running operation. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.operations/list` | `GET /v1alpha/{name=projects/*/locations/*}/operations` Lists operations that match the specified filter in the request. |

## REST Resource: [v1alpha.projects.locations.orders](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders/create` | `POST /v1alpha/{parent=projects/*/locations/*}/orders` Creates a new order in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders/delete` | `DELETE /v1alpha/{name=projects/*/locations/*/orders/*}` Deletes an order. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders/get` | `GET /v1alpha/{name=projects/*/locations/*/orders/*}` Gets details of an order. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders/list` | `GET /v1alpha/{parent=projects/*/locations/*}/orders` Lists orders in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders/patch` | `PATCH /v1alpha/{order.name=projects/*/locations/*/orders/*}` Updates the parameters of an order. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders/submit` | `POST /v1alpha/{name=projects/*/locations/*/orders/*}:submit` Submits an order. |

## REST Resource: [v1alpha.projects.locations.orders.changeLogEntries](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.changeLogEntries)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.changeLogEntries/get` | `GET /v1alpha/{name=projects/*/locations/*/orders/*/changeLogEntries/*}` Gets details of a change to an order. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.changeLogEntries/list` | `GET /v1alpha/{parent=projects/*/locations/*/orders/*}/changeLogEntries` Lists the changes made to an order. |

## REST Resource: [v1alpha.projects.locations.orders.comments](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.comments)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.comments/create` | `POST /v1alpha/{parent=projects/*/locations/*/orders/*}/comments` Creates a new comment on an order. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.comments/get` | `GET /v1alpha/{name=projects/*/locations/*/orders/*/comments/*}` Gets the content of a comment. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.comments/list` | `GET /v1alpha/{parent=projects/*/locations/*/orders/*}/comments` Lists the comments on an order. |

## REST Resource: [v1alpha.projects.locations.orders.hardwareGroups](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.hardwareGroups)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.hardwareGroups/create` | `POST /v1alpha/{parent=projects/*/locations/*/orders/*}/hardwareGroups` Creates a new hardware group in a given order. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.hardwareGroups/delete` | `DELETE /v1alpha/{name=projects/*/locations/*/orders/*/hardwareGroups/*}` Deletes a hardware group. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.hardwareGroups/get` | `GET /v1alpha/{name=projects/*/locations/*/orders/*/hardwareGroups/*}` Gets details of a hardware group. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.hardwareGroups/list` | `GET /v1alpha/{parent=projects/*/locations/*/orders/*}/hardwareGroups` Lists hardware groups in a given order. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.orders.hardwareGroups/patch` | `PATCH /v1alpha/{hardwareGroup.name=projects/*/locations/*/orders/*/hardwareGroups/*}` Updates the parameters of a hardware group. |

## REST Resource: [v1alpha.projects.locations.sites](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.sites)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.sites/create` | `POST /v1alpha/{parent=projects/*/locations/*}/sites` Creates a new site in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.sites/get` | `GET /v1alpha/{name=projects/*/locations/*/sites/*}` Gets details of a site. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.sites/list` | `GET /v1alpha/{parent=projects/*/locations/*}/sites` Lists sites in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.sites/patch` | `PATCH /v1alpha/{site.name=projects/*/locations/*/sites/*}` Updates the parameters of a site. |

## REST Resource: [v1alpha.projects.locations.skus](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.skus)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.skus/get` | `GET /v1alpha/{name=projects/*/locations/*/skus/*}` Gets details of an SKU. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.skus/list` | `GET /v1alpha/{parent=projects/*/locations/*}/skus` Lists SKUs for a given project and location. |

## REST Resource: [v1alpha.projects.locations.zones](https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.zones)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.zones/create` | `POST /v1alpha/{parent=projects/*/locations/*}/zones` Creates a new zone in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.zones/delete` | `DELETE /v1alpha/{name=projects/*/locations/*/zones/*}` Deletes a zone. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.zones/get` | `GET /v1alpha/{name=projects/*/locations/*/zones/*}` Gets details of a zone. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.zones/list` | `GET /v1alpha/{parent=projects/*/locations/*}/zones` Lists zones in a given project and location. |
| `https://docs.cloud.google.com/distributed-cloud/connected/1.7.1/docs/reference/hardware/rest/v1alpha/projects.locations.zones/patch` | `PATCH /v1alpha/{zone.name=projects/*/locations/*/zones/*}` Updates the parameters of a zone. |